package com.brilliance.isc.vo.funds;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.model.CbbVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FxacbsVo extends AbstractCommonVo {

    private CbbVo max;

    private CbbVo nom1;

    private CbbVo opn1;

    private CbbVo opn2;

    @Override
    public void reset() {
        super.reset();
        if (max == null) {
            max = new CbbVo();
        }
        if (nom1 == null) {
            nom1 = new CbbVo();
        }
        if (opn1 == null) {
            opn1 = new CbbVo();
        }
        if (opn2 == null) {
            opn2 = new CbbVo();
        }
    }
}
